# -*- coding: utf-8 -*-
#Import required modules
import numpy as np
import scipy as sp ; from scipy import misc
import matplotlib.pyplot as plt

#Create image
image=np.zeros((2,3))
#Edit image
image[0,1]=1
#Print image matrix
print("Image:\n",image)
#Print image information
print("Image size (x,y): " , image.shape)
print("Image point type: ", image.dtype)
print("Minimum: ", np.min(image))
print("Maximum: " , np.max(image))
print("Somme: " , np.sum(image))
print("Valeur moyenne: ", np.mean(image))
print("Valeur median: ", np.median(image))

#Parcours image selon x,y
for i in range(0,image.shape[0]):
    for j in range(0,image.shape[1]):
        print( i,",",j,"=",image[i,j])
#Parcours image simple boucle: on linéarise l'image 2D -> flatten() retourne un tableau 1D
for i in image.flatten(): print(i)
#Parcours image par ligne
for p in image: print("line: " , p)
#Extraction et affichage première ligne
print("première ligne: " , image[0,:])

#Conversion de type
print("Type initial: " , image.dtype)
image=image.astype(np.uint8)
print("Type after cast: " , image.dtype)
#Save image
sp.misc.imsave("tmp.png",image)
#Load image
image=sp.misc.imread("tmp.png")
#Print image matrix
print("Reloaded image:\n",image)
#Display image
plt.imshow(image)
plt.axis('off')
plt.show()

#Display image
plt.subplot(121)
plt.title("Image 1")
plt.imshow(image,"gray")
plt.subplot(122)
plt.title("Image 2")
plt.imshow(image,"gray",interpolation="nearest")
plt.show()
