# -*- coding: utf-8 -*-
#Import required modules
import numpy as np
import matplotlib.pyplot as plt


#Tableau 2D
image=np.array([[0,1,0],
                [1,0,1],
                [0,1,0]])

#Vecteurs
x=np.array([1,3,5,7,9])
y=x**2

#Affichage tableau 2D
plt.imshow(image)
plt.show()

#Affichage tableau 2D
plt.plot(x,y) #si x omis: l'abscisse correspond aux indices de y
plt.xlabel("X")
plt.ylabel("Y")
plt.show()

#Affichage multiple plt.subplot(nmi)
#Le premier nombre (n) définit le nombre de ligne
#Le second nombre (m) définit le nombre de colonne
#Le dernier nombre (i) définit l'indice de la sous-figure courante (de 1 à nxm) 
plt.subplot(221)
plt.title("Tableau 2D en pseudo-couleurs")
plt.imshow(image)
plt.subplot(222)
plt.title("Tableau 2D en niveaux de gris")
plt.imshow(image,"gray")
plt.subplot(223)
plt.title("Tableau 2D en niveaux de gris\n'sans interpolation' et sans axes")
plt.imshow(image,"gray",interpolation="nearest")
plt.axis('off')
plt.subplot(224)
plt.title("Tableaux 1D: y fonction x")
plt.plot(x,y)
plt.show()
